/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.layout.page.template.admin.web.internal.configuration;

import com.liferay.portal.configuration.metatype.bnd.util.ConfigurableUtil;

import java.util.Map;

import org.osgi.service.component.annotations.Activate;
import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Modified;

/**
 * @author Rubén Pulido
 */
@Component(
	configurationPid = "com.liferay.layout.page.template.admin.web.internal.configuration.FFDisplayPageAdminWebConfiguration",
	immediate = true, service = FFDisplayPageAdminWebConfigurationUtil.class
)
public class FFDisplayPageAdminWebConfigurationUtil {

	public static boolean viewUsagesEnabled() {
		return _ffDisplayPageAdminWebConfiguration.viewUsagesEnabled();
	}

	@Activate
	@Modified
	protected void activate(Map<String, Object> properties) {
		_ffDisplayPageAdminWebConfiguration =
			ConfigurableUtil.createConfigurable(
				FFDisplayPageAdminWebConfiguration.class, properties);
	}

	private static volatile FFDisplayPageAdminWebConfiguration
		_ffDisplayPageAdminWebConfiguration;

}